# PHPMDRendererRemoveFromCache

Extends \PHPMD\AbstractRenderer

This class will remove files with violations from cache

category | PHP
package | PHPMD
author | Rui Filipe Da Cunha Alves ruifil@ruifil.com

### Methods

## Constructor

    __construct(\DataStore $cache)

### Arguments

#### $cache

`\DataStore`

## This method will be called when the engine has finished the source analysis phase. To remove file with violations from cache.

    renderReport(\PHPMD\Report $report) : void

### Arguments

#### $report

`\PHPMD\Report`

### Properties

## Cache data storage

    cache : \DataStore

var |

### Type(s)

`\DataStore`